SystemOrganization addCategory: #'JQWidgetBox-Growl-Core'!

!JQueryClass methodsFor: '*jqwidgetbox-growl-core' stamp: 'JohnToohey 11/21/2009 14:33'!
growl
	^ self create: JQGrowl! !

JQWidget subclass: #JQGrowl
	instanceVariableNames: 'message'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-Growl-Core'!

!JQGrowl commentStamp: 'JohnToohey 11/21/2009 14:32' prior: 0!
A JQGrowl is JQuery wrapper for http://plugins.jquery.com/project/jgrowl

!

!JQGrowl methodsFor: 'options' stamp: 'JohnToohey 11/21/2009 14:48'!
check: anInteger
	self optionAt: 'check' put: anInteger! !

!JQGrowl methodsFor: 'options' stamp: 'JohnToohey 11/21/2009 14:46'!
closeTemplate: aString
	self optionAt: 'closeTemplate' put: aString! !

!JQGrowl methodsFor: 'options' stamp: 'JohnToohey 11/21/2009 14:49'!
closer: aBoolean
	self optionAt: 'closer' put: aBoolean! !

!JQGrowl methodsFor: 'options' stamp: 'JohnToohey 11/21/2009 14:46'!
closerTemplate: aString
	self optionAt: 'closerTemplate' put: aString! !

!JQGrowl methodsFor: 'options' stamp: 'JohnToohey 11/21/2009 14:48'!
corners: anInteger
	self optionAt: 'corners' put: anInteger! !

!JQGrowl methodsFor: 'options' stamp: 'JohnToohey 11/21/2009 14:46'!
glueAfter
	self optionAt: 'glue' put: 'after'! !

!JQGrowl methodsFor: 'options' stamp: 'JohnToohey 11/21/2009 14:47'!
glueBefore
	self optionAt: 'glue' put: 'before'! !

!JQGrowl methodsFor: 'options' stamp: 'JohnToohey 11/21/2009 14:45'!
header: aString
	self optionAt: 'header' put: aString! !

!JQGrowl methodsFor: 'options' stamp: 'JohnToohey 11/21/2009 14:48'!
life: anInteger
	self optionAt: 'life' put: anInteger! !

!JQGrowl methodsFor: 'accessing' stamp: 'JohnToohey 11/21/2009 14:57'!
message
	^ message! !

!JQGrowl methodsFor: 'accessing' stamp: 'JohnToohey 11/21/2009 14:57'!
message: anObject
	message := anObject! !

!JQGrowl methodsFor: 'accessing' stamp: 'JohnToohey 11/21/2009 15:07'!
method
         ^'jGrowl'! !

!JQGrowl methodsFor: 'accessing' stamp: 'JohnToohey 11/21/2009 15:15'!
show
	self action: self message! !

!JQGrowl methodsFor: 'options' stamp: 'JohnToohey 11/21/2009 14:56'!
speed: aString
	self optionAt: 'speed' put: aString! !

!JQGrowl methodsFor: 'options' stamp: 'JohnToohey 11/21/2009 14:44'!
sticky: aBoolean
	self optionAt: 'sticky' put: aBoolean! !

!JQGrowl methodsFor: 'options' stamp: 'JohnToohey 11/21/2009 14:47'!
theme: aString
	self optionAt: 'theme' put: aString! !

!JQWidgetBoxDeploymentLibrary methodsFor: '*jqwidgetbox-growl-core' stamp: ''!
jqueryjgrowlCss
	^ '
div.jGrowl {
	padding: 			10px;
	z-index: 			9999;
}

/** Special IE6 Style Positioning **/
div.ie6 {
	position: 			absolute;
}

div.ie6.top-right {
	right: 				auto;
	bottom: 			auto;
	left: 				expression( ( 0 - jGrowl.offsetWidth + ( document.documentElement.clientWidth ? document.documentElement.clientWidth : document.body.clientWidth ) + ( ignoreMe2 = document.documentElement.scrollLeft ? document.documentElement.scrollLeft : document.body.scrollLeft ) ) + ''px'' );
  	top: 				expression( ( 0 + ( ignoreMe = document.documentElement.scrollTop ? document.documentElement.scrollTop : document.body.scrollTop ) ) + ''px'' );
}

div.ie6.top-left {
	left: 				expression( ( 0 + ( ignoreMe2 = document.documentElement.scrollLeft ? document.documentElement.scrollLeft : document.body.scrollLeft ) ) + ''px'' );
	top: 				expression( ( 0 + ( ignoreMe = document.documentElement.scrollTop ? document.documentElement.scrollTop : document.body.scrollTop ) ) + ''px'' );
}

div.ie6.bottom-right {
	left: 				expression( ( 0 - jGrowl.offsetWidth + ( document.documentElement.clientWidth ? document.documentElement.clientWidth : document.body.clientWidth ) + ( ignoreMe2 = document.documentElement.scrollLeft ? document.documentElement.scrollLeft : document.body.scrollLeft ) ) + ''px'' );
	top: 				expression( ( 0 - jGrowl.offsetHeight + ( document.documentElement.clientHeight ? document.documentElement.clientHeight : document.body.clientHeight ) + ( ignoreMe = document.documentElement.scrollTop ? document.documentElement.scrollTop : document.body.scrollTop ) ) + ''px'' );
}

div.ie6.bottom-left {
	left: 				expression( ( 0 + ( ignoreMe2 = document.documentElement.scrollLeft ? document.documentElement.scrollLeft : document.body.scrollLeft ) ) + ''px'' );
	top: 				expression( ( 0 - jGrowl.offsetHeight + ( document.documentElement.clientHeight ? document.documentElement.clientHeight : document.body.clientHeight ) + ( ignoreMe = document.documentElement.scrollTop ? document.documentElement.scrollTop : document.body.scrollTop ) ) + ''px'' );
}

div.ie6.center {
	left: 				expression( ( 0 + ( ignoreMe2 = document.documentElement.scrollLeft ? document.documentElement.scrollLeft : document.body.scrollLeft ) ) + ''px'' );
	top: 				expression( ( 0 + ( ignoreMe = document.documentElement.scrollTop ? document.documentElement.scrollTop : document.body.scrollTop ) ) + ''px'' );
	width: 				100%;
}

/** Normal Style Positions **/
body > div.jGrowl {
	position:			fixed;
}

body > div.jGrowl.top-left {
	left: 				0px;
	top: 				0px;
}

body > div.jGrowl.top-right {
	right: 				0px;
	top: 				0px;
}

body > div.jGrowl.bottom-left {
	left: 				0px;
	bottom:				0px;
}

body > div.jGrowl.bottom-right {
	right: 				0px;
	bottom: 			0px;
}

body > div.jGrowl.center {
	top: 				0px;
	width: 				50%;
	left: 				25%;
}

/** Cross Browser Styling **/
div.center div.jGrowl-notification, div.center div.jGrowl-closer {
	margin-left: 		auto;
	margin-right: 		auto;
}

div.jGrowl div.jGrowl-notification, div.jGrowl div.jGrowl-closer {
	background-color: 		#000;
	color: 					#fff;
	opacity: 				.85;
	filter: 				alpha(opacity = 85);
	zoom: 					1;
	width: 					235px;
	padding: 				10px;
	margin-top: 			5px;
	margin-bottom: 			5px;
	font-family: 			Tahoma, Arial, Helvetica, sans-serif;
	font-size: 				12px;
	text-align: 			left;
	display: 				none;
	-moz-border-radius: 	5px;
	-webkit-border-radius:	5px;
}

div.jGrowl div.jGrowl-notification {
	min-height: 			40px;
}

div.jGrowl div.jGrowl-notification div.header {
	font-weight: 			bold;
	font-size:				10px;
}

div.jGrowl div.jGrowl-notification div.close {
	z-index:				99;
	float: 					right;
	font-weight: 			bold;
	font-size: 				12px;
	cursor:					pointer;
}

div.jGrowl div.jGrowl-closer {
	height: 				15px;
	padding-top: 			4px;
	padding-bottom: 		4px;
	cursor: 				pointer;
	font-size:				11px;
	font-weight: 			bold;
	text-align: 			center;
}

/** Hide jGrowl when printing **/
@media print {
	div.jGrowl {
		display: 			none;
	}
}'! !

!JQWidgetBoxDeploymentLibrary methodsFor: '*jqwidgetbox-growl-core' stamp: ''!
jqueryjgrowlminimizedJs
	^ '
(function($){$.jGrowl=function(m,o){if($(''#jGrowl'').size()==0)$(''<div id="jGrowl"></div>'').addClass($.jGrowl.defaults.position).appendTo(''body'');$(''#jGrowl'').jGrowl(m,o);};$.fn.jGrowl=function(m,o){if($.isFunction(this.each)){var args=arguments;return this.each(function(){var self=this;if($(this).data(''jGrowl.instance'')==undefined){$(this).data(''jGrowl.instance'',$.extend(new $.fn.jGrowl(),{notifications:[],element:null,interval:null}));$(this).data(''jGrowl.instance'').startup(this);}
if($.isFunction($(this).data(''jGrowl.instance'')[m])){$(this).data(''jGrowl.instance'')[m].apply($(this).data(''jGrowl.instance''),$.makeArray(args).slice(1));}else{$(this).data(''jGrowl.instance'').create(m,o);}});};};$.extend($.fn.jGrowl.prototype,{defaults:{pool:0,header:'''',group:'''',sticky:false,position:''top-right'',glue:''after'',theme:''default'',corners:''10px'',check:250,life:3000,speed:''normal'',easing:''swing'',closer:true,closeTemplate:''&times;'',closerTemplate:''<div>[ close all ]</div>'',log:function(e,m,o){},beforeOpen:function(e,m,o){},open:function(e,m,o){},beforeClose:function(e,m,o){},close:function(e,m,o){},animateOpen:{opacity:''show''},animateClose:{opacity:''hide''}},notifications:[],element:null,interval:null,create:function(message,o){var o=$.extend({},this.defaults,o);this.notifications[this.notifications.length]={message:message,options:o};o.log.apply(this.element,[this.element,message,o]);},render:function(notification){var self=this;var message=notification.message;var o=notification.options;var notification=$(''<div class="jGrowl-notification''+((o.group!!=undefined&&o.group!!='''')?'' ''+o.group:'''')+''"><div class="close">''+o.closeTemplate+''</div><div class="header">''+o.header+''</div><div class="message">''+message+''</div></div>'').data("jGrowl",o).addClass(o.theme).children(''div.close'').bind("click.jGrowl",function(){$(this).parent().trigger(''jGrowl.close'');}).parent();(o.glue==''after'')?$(''div.jGrowl-notification:last'',this.element).after(notification):$(''div.jGrowl-notification:first'',this.element).before(notification);$(notification).bind("mouseover.jGrowl",function(){$(this).data("jGrowl").pause=true;}).bind("mouseout.jGrowl",function(){$(this).data("jGrowl").pause=false;}).bind(''jGrowl.beforeOpen'',function(){o.beforeOpen.apply(self.element,[self.element,message,o]);}).bind(''jGrowl.open'',function(){o.open.apply(self.element,[self.element,message,o]);}).bind(''jGrowl.beforeClose'',function(){o.beforeClose.apply(self.element,[self.element,message,o]);}).bind(''jGrowl.close'',function(){$(this).data(''jGrowl'').pause=true;$(this).trigger(''jGrowl.beforeClose'').animate(o.animateClose,o.speed,o.easing,function(){$(this).remove();o.close.apply(self.element,[self.element,message,o]);});}).trigger(''jGrowl.beforeOpen'').animate(o.animateOpen,o.speed,o.easing,function(){$(this).data("jGrowl").created=new Date();}).trigger(''jGrowl.open'');if($.fn.corner!!=undefined)$(notification).corner(o.corners);if($(''div.jGrowl-notification:parent'',this.element).size()>1&&$(''div.jGrowl-closer'',this.element).size()==0&&this.defaults.closer!!=false){$(this.defaults.closerTemplate).addClass(''jGrowl-closer'').addClass(this.defaults.theme).appendTo(this.element).animate(this.defaults.animateOpen,this.defaults.speed,this.defaults.easing).bind("click.jGrowl",function(){$(this).siblings().children(''div.close'').trigger("click.jGrowl");if($.isFunction(self.defaults.closer))self.defaults.closer.apply($(this).parent()[0],[$(this).parent()[0]]);});};},update:function(){$(this.element).find(''div.jGrowl-notification:parent'').each(function(){if($(this).data("jGrowl")!!=undefined&&$(this).data("jGrowl").created!!=undefined&&($(this).data("jGrowl").created.getTime()+$(this).data("jGrowl").life)<(new Date()).getTime()&&$(this).data("jGrowl").sticky!!=true&&($(this).data("jGrowl").pause==undefined||$(this).data("jGrowl").pause!!=true)){$(this).trigger(''jGrowl.close'');}});if(this.notifications.length>0&&(this.defaults.pool==0||$(this.element).find(''div.jGrowl-notification:parent'').size()<this.defaults.pool)){this.render(this.notifications.shift());}
if($(this.element).find(''div.jGrowl-notification:parent'').size()<2){$(this.element).find(''div.jGrowl-closer'').animate(this.defaults.animateClose,this.defaults.speed,this.defaults.easing,function(){$(this).remove();});};},startup:function(e){this.element=$(e).addClass(''jGrowl'').append(''<div class="jGrowl-notification"></div>'');this.interval=setInterval(function(){$(e).data(''jGrowl.instance'').update();},this.defaults.check);if($.browser.msie&&parseInt($.browser.version)<7&&!!window["XMLHttpRequest"])$(this.element).addClass(''ie6'');},shutdown:function(){$(this.element).removeClass(''jGrowl'').find(''div.jGrowl-notification'').remove();clearInterval(this.interval);}});$.jGrowl.defaults=$.fn.jGrowl.prototype.defaults;})(jQuery);'! !
